delete cfg template
1 min
DELETE
https://api.upstartcommerce.com/v1/customer/cfg/templates/{templateId}
Path Parameters
- templateIdstringrequiredDescription
Header Parameters
- x-upstart-tenantstringrequiredDescription
Responses
200
204
400
- ValidationErrorResponseDescription
- namestringrequired
- codestringrequired
- detailstring
curl
curl --request DELETE \
--url https://api.upstartcommerce.com/v1/customer/cfg/templates/{templateId} \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
myHeaders.append("x-upstart-tenant", "string");
var requestOptions = {
method: 'DELETE',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://api.upstartcommerce.com/v1/customer/cfg/templates/{templateId}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://api.upstartcommerce.com/v1/customer/cfg/templates/{templateId}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
request["x-upstart-tenant"] = "string"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://api.upstartcommerce.com/v1/customer/cfg/templates/{templateId}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json',
'x-upstart-tenant': 'string'
}
response = requests.request("DELETE", url, headers=headers, data=payload)
print(response.text)
200
// Template deleted successfully.
204
// Template allready deleted.
400
// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
{
"name": "",
"code": "",
"detail": ""
}